View Issue Details

IDProjectCategoryView StatusLast Update
0000531MetaPostbugpublic2011-05-16 13:37
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.503Fixed in Version1.504 
Summary0000531: Fatal error on loading old mfplain.mp
DescriptionThe example doesn't compile with
MetaPost, version 1.503 (kpathsea version 6.0.0)
Log says
reloading the plain base, version 0.99: preliminaries,
 basic constants and mathematical macros,
 macros for converting units,
 macros and tables for various modes of operation,
 macros for drawing and filling,
 macros for proof labels and rules,
 macros for character and font administration,
and a few last-minute items.)
! Attempt to close the bottom level file!.
l.584 numeric mode,mag;
                            % but leave mode and mag undefined

Steps To ReproduceThat is when running the example from the previous tracker item with an mfplain.mp that does not end with 'dump;'

Additional InformationShould figure out a way to correctly close preload files even if they do not end properly.
TagsNo tags attached.

Activities

Taco

2011-02-10 06:17

administrator   ~0000738

#1442 (hopefully)

Taco

2011-02-10 06:41

administrator   ~0000739

not quite right. #1443 reverts to a version that only gives issues
if both the preload file and the input file are not properly ended.

Taco

2011-02-10 07:00

administrator   ~0000741

#1445 augments the previous attempt. The logic is still not right, but this at least is reasonable, so I am calling it quits for now

Issue History

Date Modified Username Field Change
2010-12-04 09:52 Taco New Issue
2010-12-04 09:52 Taco Status new => assigned
2010-12-04 09:52 Taco Assigned To => Taco
2011-02-10 06:17 Taco Note Added: 0000738
2011-02-10 06:17 Taco Status assigned => resolved
2011-02-10 06:17 Taco Resolution open => fixed
2011-02-10 06:41 Taco Note Added: 0000739
2011-02-10 06:41 Taco Status resolved => assigned
2011-02-10 07:00 Taco Note Added: 0000741
2011-02-10 07:00 Taco Status assigned => resolved
2011-05-16 13:37 Taco Fixed in Version => 1.504
2011-05-16 13:37 Taco Status resolved => closed